/*
								+---------------------------------+
								|                                 |
								|     ***   Rasterizer   ***      |
								|                                 |
								|  Copyright   -tHE SWINe- 2002  |
								|                                 |
								|            Raster.h             |
								|                                 |
								+---------------------------------+
*/

#ifndef __RASTERIZER_INCLUDED
#define __RASTERIZER_INCLUDED

struct Texture {
	int n_Width, n_Height;
	unsigned __int32 *texture;
	int A_1, A_2, B_1;
};

int Init_Engine(int n_New_Width, int n_New_Height);
void Terminate_Engine();

void DrawObject(Matrix *m_object, Matrix *m_camera,
    Object *p_object, unsigned __int32 *video, Texture *texture);
void Clean_ZBuffer();

Texture *Load_Texture(char *filename);

#endif